﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Cursed
{
    public struct Line
    {
        public Line(string label, float starttime, float length, string text)
        {
            this.label = label;
            this.starttime = starttime;
            this.length = length;
            this.text = text;
        }
        float starttime;

        public float StartTime
        {
            get { return starttime; }
            set { starttime = value; }
        }

        float length;

        public float Length
        {
            get { return length; }
            set { length = value; }
        }

        string text;

        public string Text
        {
            get { return text; }
            set { text = value; }
        }
        string label;

        public string Label
        {
            get { return label; }
            set { label = value; }
        }

    }
    class Dialog
    {
        public static List<Line> getScene(int scene)
        {
            switch (scene)
            {
                case 1: return Scene1();
                default: return null;
            }
        }
        static List<Line> Scene1()
        {
            List<Line> list = new List<Line>();
            list.Add(new Line("Warren", 0f, 1.5f, "Wake Up!"));
            list.Add(new Line("Warren", 1.5f, 1.5f, "Come on Wake Up!"));
            return list;

        }
        static List<Line> Scene2()
        {
            List<Line> list = new List<Line>();
            list.Add(new Line("Warren", 0f, 1.5f, "Oh good you're alive!"));
            list.Add(new Line("Warren", 1.5f, 1.5f, "I'm glad to see you are alright..."));
            list.Add(new Line("Warren", 3f, 3f, "Last thing I remember is getting this nasty bump on my head"));
            list.Add(new Line("Warren", 6f, 2f, "Some Initiation ceremony, huh?"));
            list.Add(new Line("Warren", 8f, 3f, "I'm not sure what happened, but it seems to have affected your ceremony"));
            list.Add(new Line("Warren", 11f, 3f, "Could you try casting your wood spell?"));

            return list;
        }
        static List<Line> Scene3()
        {
            List<Line> list = new List<Line>();
            list.Add(new Line("Warren", 0f, 1.5f, "Look at that!"));
            list.Add(new Line("Warren", 1.5f, 1.5f, "I've never see one that powerful..."));
            list.Add(new Line("Warren", 3f, 1.5f, "..Did you hear something?"));
            list.Add(new Line("Warren", 4.5f, 1.5f, "Come on lets get out of here!"));
            return list;
        }
        static List<Line> Scene4()
        {
            List<Line> list = new List<Line>();
            list.Add(new Line("Warren", 0f, 1.5f, "Quick, Down the hallway to the left!"));
            return list;
        }
        static List<Line> Scene5()
        {
            List<Line> list = new List<Line>();
            list.Add(new Line("Warren", 0f, 1.5f, "Look at that!"));
            list.Add(new Line("Warren", 1.5f, 1.5f, "I've never see one that powerful..."));
            list.Add(new Line("Warren", 3f, 1.5f, "..Did you hear something?"));
            list.Add(new Line("Warren", 4.5f, 1.5f, "Come on lets get out of here!"));
            return list;
        }
    }
}
