﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cursed.gob.mob.kob;
using Cursed.gob;
using Cursed.gob.mob;
using Microsoft.Xna.Framework;

namespace Cursed.input.ai
{
    public class DruidSeeker : Controller
    {
        Mob self;

        public DruidSeeker(Mob self)
        {
            this.self = self;
            Push(self);
        }

        public override void act(Microsoft.Xna.Framework.GameTime time)
        {
            bool move = false;
            Druid druid = self.CursedGame.DruidPlayer;
            if (self.SeenMobs.Contains(druid))
            {
                DirectionControlInfo directionInfo = new DirectionControlInfo();
                FindMe findMe = druid.FindMe(self);
                directionInfo.Direction = findMe.From(self.GobInfo.Loc, self.GobInfo.ViewRange);
                Target.control(directionInfo);
                move = true;
                if (self is Demon)
                {
                    Demon demon = (Demon)self;
                    if ((druid.GobInfo.Loc - self.GobInfo.Loc).Length() > demon.DemonInfo.LungeRange)
                    {
                        Target.control(new LungeInfo());
                        Vector2 dir = druid.GobInfo.Loc - self.GobInfo.Loc;
                        dir.Normalize();
                        directionInfo.Direction = dir;
                        Target.control(directionInfo);
                    }
                }
            }
            if (!move)
                Target.control(new DirectionControlInfo());
        }

        public override void cleanup()
        {

        }
    }
}
