﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cursed.gob.mob;
using Cursed.gob;
using Microsoft.Xna.Framework;
using Cursed.gob.mob.kob;

namespace Cursed.input.ai
{
    public class WoodChopper : Controller
    {
        public override void act(Microsoft.Xna.Framework.GameTime time)
        {
            Mob self = (Mob)Target;
            foreach (Gob gob in self.TouchedGobs)
            {
                if (gob is Wood && self.CanTouch(gob))
                {
                    Vector2 dir = gob.GobInfo.Loc - self.GobInfo.Loc;
                    dir.Normalize();
                    BasicAttackInfo info = new BasicAttackInfo();
                    info.Direction = dir;
                    if (Target != null)
                    {
                        Target.control(info);
                    }
                }
            }
        }

        public override void cleanup()
        {

        }
    }
}
