﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Cursed.view
{
    public class Label
    {
        public string Text;
        public bool Enabled;
        public Vector2 Position;
        public Color Color;
        public SpriteFont Font;

        public Label(string text, Vector2 position, bool enabled, Color color, SpriteFont font)
        {
            this.Text = text;
            this.Position = position;
            this.Enabled = enabled;
            this.Color = color;
            this.Font = font;
        }

        public void Draw(SpriteBatch spriteBatch)
        {
            if (Enabled)
            {
                spriteBatch.DrawString(
                    Font,
                    Text,
                    Position,
                    Color);
            }
        }
    }
}
