﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cursed.view.renders;

namespace Cursed.view
{
    public class SpriteRenderTemplateLib
    {
        private Dictionary<string, SpriteRenderInfo> renders;

        public SpriteRenderInfo Get(string template)
        {
            return (SpriteRenderInfo)renders[template].Clone();
        }

        public void AddRenderInfo(String templateName, SpriteRenderInfo info)
        {
            renders.Add(templateName, (SpriteRenderInfo) info.Clone());
        }
    }
}
