﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace Cursed
{
    public class Tag
    {
        public Tag(String message) 
        {
            StackTrace st = new StackTrace();
            StackFrame[] frames = st.GetFrames();
            System.Console.WriteLine("Tag: " + message);
            Boolean first = true;
            foreach (StackFrame frame in frames)
            {
                if (first)
                {
                    first = false;
                    continue;
                }
                System.Console.WriteLine(" " + frame.GetMethod().DeclaringType + "." + frame.GetMethod());
            }
        }
    }
}
