﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework;

namespace Cursed.input
{
    public class TildeControl : Controller
    {
        bool tildeDown;
        public TildeControl()
        {
            tildeDown = false;
        }

        public override void act(GameTime time)
        {
            bool down = Keyboard.GetState()[Keys.OemTilde] == KeyState.Down;

            if (down && !tildeDown)
            {
                if (Target != null)
                    Target.control(new TildeControlInfo());
            }

            tildeDown = down;
        }

        public override void cleanup()
        {

        }
    }
    public class SpaceControl : Controller
    {
        bool tildeDown;
        public SpaceControl()
        {
            tildeDown = false;
        }

        public override void act(GameTime time)
        {
            bool down = Keyboard.GetState()[Keys.Space] == KeyState.Down;

            if (down && !tildeDown)
            {
                if (Target != null)
                    Target.control(new SpaceControlInfo());
            }

            tildeDown = down;
        }

        public override void cleanup()
        {

        }
    }
}
