﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Cursed.input.ai
{
	public class WanderControl : Controller
	{
        CursedGame game;
        Vector2 direction;
        float timeWalking;

        public WanderControl(CursedGame game)
        {
            this.game = game;
            timeWalking = (float)CursedGame.Random.NextDouble()*5;
            chooseDirection();
        }

        void chooseDirection()
        {
            direction = new Vector2((float)CursedGame.Random.NextDouble() - .5f, (float)CursedGame.Random.NextDouble() - .5f);
            direction.Normalize();
        }

        public override void act(Microsoft.Xna.Framework.GameTime time)
        {
            timeWalking -= time.ElapsedGameTime.Milliseconds * .001f;
            if (timeWalking < 0)
            {
                timeWalking = (float)CursedGame.Random.NextDouble() * 5;
                chooseDirection();
            }

            if (Target != null)
            {
                DirectionControlInfo info = new DirectionControlInfo();
                info.Direction = direction;
                Target.control(info);
            }
        }

        public override void cleanup()
        {
            throw new NotImplementedException();
        }
    }
}
