﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cursed.geom;
using Microsoft.Xna.Framework.Graphics;

namespace Cursed.view.renders
{
    public class PatchRenderInfo : SpriteRenderInfo
    {
        public PatchRenderInfo(Bounds bounds, int x, int y, int w, int h)
            : base(bounds)
        {
            this.SetDrawnFrame(x, y, w, h);
        }
        public PatchRenderInfo(Bounds bounds, int w, int h)
            : base(bounds)
        {
            this.SetDrawnFrame(CursedGame.Random.Next(w), CursedGame.Random.Next(h), w, h); 
        }

    }
}
