﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace Cursed.view.renders
{
    public class RenderInfo
    {
        Render render = null;
        Color mask = Color.White;
        Matrix transform = Matrix.Identity;
        Texture2D texture = null;
        Boolean visible;
        public RenderInfo()
        {
            visible = true;
        }
        public Boolean Visible
        {
            get { return visible; }
            set { visible = value; }
        }


        public Render Render
        {
            get { return render; }
            set { render = value; }
        }
        public Color Mask {
            set { mask = value; }
            get { return mask; }
        }
        public Matrix Transform
        {
            set { transform = value; }
            get { return transform; }
        }

        public Texture2D Texture
        {
            get { return texture; }
            set { texture = value; }
        }

    }
}
